Kernel panic on boot if SMP (ASUS M3A-H/HDMI)

Bug #292619 reported by Urop on 2008-11-02
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Fix Released
High
linux (Ubuntu)
Medium
Unassigned
Hardy
Medium
Stefan Bader
Intrepid
Medium
Stefan Bader

Bug Description

SRU Justification:

Impact: The BIOS is expected to clear the SYSCFG[MtrrFixDramModEn] on AMD CPUs
after fixed MTRRs are configured. Some BIOSes do not clear SYSCFG[MtrrFixDramModEn] on BP (and on APs), which leads to panics and freezes.

Fix: Attached patch from upstream which is included in Jaunty and has been verified to help on Intrepid too.

Testcase: see bug report.

---

Binary package hint: linux-image-2.6.27-7-server

Latest working kernel version: Doesn't work with any ubuntu versions of the kernel that I know of. Latest tried is 2.6.26-7-server. Does apparently work with the latest official stable 2.6.24.7 linux mainline kernel on a down-cored Phenom CPU according to http://bugzilla.kernel.org/show_bug.cgi?id=11714#c38.

Earliest failing kernel version: The earliest failing version that I know about is 2.6.24-19-server. Have also tried a linux-image-generic kernel.

Distribution: Ubuntu 8.10

Hardware Environment: ASUS M3A-H/HDMI, 4GB RAM, AMD PHENOM X3 8750, 4xSATA, 256MB Radeon 2400 PRO PCI Express.

Software Environment: Ubuntu 64bit server edition. Using the latest available bios update (Version 1001)

Problem Description: When not using acpi=off or acpi=ht, the system goes straight into kernel panic. This occurs on or after installation.

Steps to reproduce: Use the same hardware set-up as me. Boot into ubuntu.

Note: I have also reported this as a mainline linux bug and the full history and a lot of information (dmesg output, acpidump output, kernel panic screen shots etc.) can be found here: http://bugzilla.kernel.org/show_bug.cgi?id=11714. Support there have helped identify this as a CPUID4 problem, but can only fix it if I reproduce it using a mainline linux kernel. I'd like to stick with ubuntu. In this case they say I'll have get ubuntu support to help me fix it. (See comment 50 here: http://bugzilla.kernel.org/show_bug.cgi?id=11714#c50)

Related branches

Urop (urop) on 2008-11-02
description: updated

Hi Paul,

Thanks for the report. Ubuntu tries to keep their kernel as close to what the upstream kernel has as possible. So a bug in the upstream kernel is a bug in our kernel. It'd be great if you'd be willing to continue to work with the upstream developers if possible. In the near future we're hoping to try to provide an upstream vanilla kernel package for our users to help with reporting bugs upstream but for now you will have to build the upstream kernel manually. It hopefully is a simple process which we have documented - https://wiki.ubuntu.com/KernelTeam/GitKernelBuild . If you wouldn't mind building the upstream kernel and testing that would be great.

Changed in linux:
status: Unknown → Incomplete
Urop (urop) wrote :

The instructions looks simple enough so I thought I would give building an upstream kernal a go. I successfully went through stages 1 to 5, skipped optional stage 6, but encountered an error at stage 7. I have captured the error output for the "make-kpkg clean" command and attached it.

Please can you tell me how to proceed?

Cheers, Paul

Urop (urop) wrote :

I thought it might be useful for you to see the standard output of the command too...

Urop (urop) wrote :

Okay. I have made some progress. I have managed to get over the error I encountered by doing the following:

1) Install libncurses-dev because "make menuconfig" requires it: sudo apt-get install libncurses-dev
2) Run "sudo make menuconfig"
3) Unselect the xen item under Processor Type and Features > Paravirtualized Guest Support
4) Continue from step 7. of the GitKernelBuild instructions. (make dpkg clean ...)

This enabled me to compile the kernel. However, I now have a problem installing the linux image at stage 10. It claims that there is "No space left on device". Which device would that be and how do I give it more space? I have attached the error output from the "dpkg -i linux-image-....deb" command.

Thank you.

Urop (urop) wrote :

After a lot of grief (my root partition was too small, so I had to resize the and move the physical partitions with gparted, but they were raided and afterwards the resized ones needed to be reconfigured for raid - and then the file system was recognised as being the wrong size on those partitions, but to resize the filesystem of root I had to copy it to the tmp partition, mount it front there and then fix the root partition filesystem etc.) I finally managed to sort out the problem above and install the upstream kernel. I still get kernel panic as soon as I boot into it, so this is apparently not an ubuntu specific problem and I will continue to pursue this problem at http://bugzilla.kernel.org/show_bug.cgi?id=11714.

Thank you.

Changed in linux:
status: Incomplete → Confirmed
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Changed in linux:
status: Confirmed → Invalid
TJ (tj) wrote :

Changed upstream bug-track reference to the MTRR bug.

Changed in linux:
status: Invalid → Unknown
Changed in linux:
status: Unknown → In Progress
Changed in linux:
status: In Progress → Confirmed
Changed in linux:
status: Confirmed → Fix Released
TJ (tj) wrote :

The patch applies cleanly to the current Jaunty master so I'll propose it's inclusion. It could be added as a SAUCE patch which can be removed if mainline stable includes it later.

The process to add the x86-tip repository and cherry-pick from it is:

# ensure local repository is in-sync
git fetch origin
git rebase --onto origin/master origin/master@{1}

# add the x86-tip as a remote repository and fetch it
git remote add x86-tip git://git.kernel.org/pub/scm/linux/kernel/git/x86/linux-2.6-tip.git
git fetch x86-tip

# for testing:
git checkout -b lp292619
git cherry-pick 3ff42da5048649
warning: too many files (created: 1361 deleted: 2001), skipping inexact rename detection
Auto-merged arch/x86/kernel/cpu/mtrr/generic.c
Finished one cherry-pick.
Created commit e731a6c: x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
 1 files changed, 30 insertions(+), 21 deletions(-)

Changed in linux:
assignee: nobody → intuitivenipple
milestone: none → ubuntu-9.04-beta
status: Triaged → In Progress
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2009-03-16
Changed in linux (Ubuntu Hardy):
assignee: nobody → stefan-bader-canonical
status: New → In Progress
Changed in linux (Ubuntu Intrepid):
assignee: nobody → stefan-bader-canonical
status: New → In Progress
Stefan Bader (smb) wrote :

For Hardy and Intrepid I created kernel packages for verification at http://people.ubuntu.com/~smb/bug292619/
Please try those and report back whether they fix the problem. Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-10.33

---------------
linux (2.6.28-10.33) jaunty; urgency=low

  [ Scott James Remnant ]

  * SAUCE: nbd: Change default partitions per device to 15
    - LP: #342563

  [ Tejun Heo ]

  * SAUCE: libata: make sure port is thawed when skipping resets
    - LP: #269652

  [ Tim Gardner ]

  * Revert "SAUCE: Auto-load esp module when device opened."
    This driver performs unsafe ISA probes (according to Alan Cox).
  * Enable CONFIG_USB_GADGET_DUMMY_HCD
    This facilitates gadget slave endpoints in virtual environments.
  * Build ehci, uhci, and ohci into the i386/amd64 kernels
    - LP: #296710

  [ Upstream Kernel Changes ]

  * Add "thumbee" to the hwcap_str array
    - LP: #343602
  * Add HWCAP_NEON to the ARM hwcap.h file
    - LP: #343602
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619

 -- Tim Gardner <email address hidden> Mon, 16 Mar 2009 08:19:53 -0600

Changed in linux:
status: Fix Committed → Fix Released
Urop (urop) wrote :

I just installed http://people.ubuntu.com/~smb/bug292619/linux-image-2.6.27-11-generic_2.6.27-11.27b292619v1_amd64.deb and can confirm that it works.

Please could you confirm that this fix will also feed through to the -server version as well as the -generic version of the kernel? It's the server version that I use.

Thank you.

TJ (tj) on 2009-03-17
Changed in linux (Ubuntu):
assignee: intuitivenipple → nobody
Stefan Bader (smb) wrote :

@Paul, yes. For simpler verification I added the server kernels to the other kernels. Both server and generic are build from the same sources.

Andy Whitcroft (apw) on 2009-03-23
Changed in linux:
importance: Undecided → Medium
importance: Undecided → Medium
Stefan Bader (smb) wrote :

Fix committed to Hardy (target 2.6.24-24.54)

Changed in linux (Ubuntu Hardy):
status: In Progress → Fix Committed
description: updated
Stefan Bader (smb) wrote :

Committed to Intrepid (target 2.6.27-14.34)

Changed in linux (Ubuntu Intrepid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted linux into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Urop (urop) wrote :

Oops. Just upgraded to Jaunty, so am no longer able to test with Hardy or Intrepid. Sorry! I can confirm that the patch in kernel 2.6.28-11-server works just fine on Jaunty though.

Steve Beattie (sbeattie) on 2009-06-16
tags: added: hw-specific
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-24.56

---------------
linux (2.6.24-24.56) hardy-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.24-24.54 with 2.6.24-24.55 security release applied

linux (2.6.24-24.54) hardy-proposed; urgency=low

  [Andy Whitcroft]

  * SAUCE: do not make sysdev links for processors which are not booted
    - LP: #295091

  [Brad Figg]

  * SAUCE: Add information to recognize Toshiba Satellite Pro M10 Alps Touchpad
    - LP: #330885
  * SAUCE: Add signatures to airprime driver to support newer Novatel devices
    - LP: #365291

  [Stefan Bader]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057

  [Upstream Kernel Changes]

  * SUNRPC: Fix autobind on cloned rpc clients
    - LP: #341783, #212485
  * Input: atkbd - mark keyboard as disabled when suspending/unloading
    - LP: #213988
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * bluetooth hid: enable quirk handling for Apple Wireless Keyboards in
    2.6.24
    - LP: #227501
  * nfsd: move callback rpc_client creation into separate thread
    - LP: #253004
  * nfsd4: probe callback channel only once
    - LP: #253004

 -- Stefan Bader <email address hidden> Sat, 20 Jun 2009 00:14:36 +0200

Changed in linux (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-14.41

---------------
linux (2.6.27-14.41) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143

linux (2.6.27-14.40) intrepid-proposed; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Intrepid
    - LP: #354221
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Andy Isaacson ]

  * LIRC_PVR150: depends on VIDEO_IVTV
    - LP: #341477
  * SAUCE: FSAM7400: select CHECK_SIGNATURE
    - LP: #341712

  [ Andy Whitcroft ]

  * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo laptops
    - LP: #330259
  * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
    - LP: #336189

  [ Anton Veretenenko ]

  * SAUCE: sony-laptop: add support for Sony Vaio FW series function/media
    keys
    - LP: #307592

  [ Ayaz Abdulla ]

  * SAUCE: forcedeth: msi interrupt fix
    - LP: #288281

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Ike Panhc ]

  * squashfs: correct misspelling
    - LP: #322306
  * SAUCE: Fixing symbol name in HECI module
    - LP: #336549
  * Copy header files for various kernel media driver
    - LP: #322732

  [ Stefan Bader ]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Upstream Kernel Changes ]

  * libata: make sure port is thawed when skipping resets
    - LP: #269652
  * x86-64: fix int $0x80 -ENOSYS return
    - LP: #339743
  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * USB: cdc-acm: Add another conexant modem to the quirks
    - LP: #323829
  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034
  * acer-wmi: fix regression in backlight detection
    - LP: #333386

 -- Stefan Bader <email address hidden> Wed, 26 Aug 2009 11:48:11 +0200

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Changed in linux:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.